import {
	POST
} from './Request.js';
let app = getApp();
let base = app.globalData.url;
//  登录接口
export const userLogin = params => {
	return POST('POST', `${base}/login/userLogin`, params).then(res => res.data);
}
//退出登录
export const logout = params => {
	return POST('POST', `${base}/login/logout`, params).then(res => res.data);
}
//查询数据字典
export const getDictionaryByCodeType = params => {
	return POST('GET', `${base}/common/getDictionaryByCodeType`, params).then(res => res.data);
}
//查询加油站油品
export const getOilPriceListByStore = params => {
	return POST('GET', `${base}/gasOilPrice/getOilPriceListByStore`, params).then(res => res.data);
}
//新增，修改油品
export const editGasOilPrice = params => {
	return POST('POST', `${base}/gasOilPrice/editGasOilPrice`, params).then(res => res.data);
}
//删除加油站油品
export const delOilPrice = params => {
	return POST('POST', `${base}/gasOilPrice/delOilPrice`, params).then(res => res.data);
}
//查询加油站油品详情
export const getOilPriceDetail = params => {
	return POST('GET', `${base}/gasOilPrice/getOilPriceDetail`, params).then(res => res.data);
}
//查询油品油枪列表
export const getGunNoListByOilPrice = params => {
	return POST('GET', `${base}/gasOilGunNo/getGunNoListByOilPrice`, params).then(res => res.data);
}
//增加油枪
export const addGasOilPrice = params => {
	return POST('POST', `${base}/gasOilGunNo/addGasOilPrice`, params).then(res => res.data);
}
//删除油枪
export const delGunNo = params => {
	return POST('POST', `${base}/gasOilGunNo/delGunNo`, params).then(res => res.data);
}
//修改密码
export const sendUserPass = params => {
	return POST('POST', `${base}/secUser/sendUserPass`, params).then(res => res.data);
}
//我的信息
export const getGasStatistical = params => {
	return POST('POST', `${base}/highGas/getGasStatistical`, params).then(res => res.data);
}
//订单列表
export const getGasOrderList = params => {
	return POST('GET', `${base}/highGas/getGasOrderList`, params).then(res => res.data);
}
//订单统计
export const countGasOrder = params => {
	return POST('GET', `${base}/highGas/countGasOrder`, params).then(res => res.data);
}

//订单详情
export const getGasOrderDetail = params => {
	return POST('GET', `${base}/highGas/getGasOrderDetail`, params).then(res => res.data);
}

//交接班班组功能
//班组列表
export const getClassGroupList = params => {
	return POST('GET', `${base}/gasClassGroup/getClassGroupList`, params).then(res => res.data);
}

//开启班组任务
export const startGroupTask = params => {
	return POST('POST', `${base}/gasClassGroupTask/startGroupTask`, params).then(res => res.data);
}
//结束班组
export const endGroupTask = params => {
	return POST('POST', `${base}/gasClassGroupTask/endGroupTask`, params).then(res => res.data);
}

//交接班组
export const swapGroupTask = params => {
	return POST('POST', `${base}/gasClassGroupTask/swapGroupTask`, params).then(res => res.data);
}

//当前班次
export const getCurrentClassGroupTask = params => {
	return POST('GET', `${base}/gasClassGroupTask/getCurrentClassGroupTask`, params).then(res => res.data);
}

//查询历史班次列表
export const getClassGroupTaskList = params => {
	return POST('GET', `${base}/gasClassGroupTask/getClassGroupTaskList`, params).then(res => res.data);
}

//查询历史班次详情
export const getClassGroupTaskById = params => {
	return POST('GET', `${base}/gasClassGroupTask/getClassGroupTaskById`, params).then(res => res.data);
}

//打印小票
export const print = params => {
	return POST('GET', `${base}/gasClassGroupTask/print`, params).then(res => res.data);
}
